The date and time at which the invoice was generated in Chargebee. For example, if the value is 2022-10-28T15:36:28.129+05:30, then the timestamp represents October 28, 2022, at 15:36:28.129, with an offset of +05:30. This means that the time represented is 5 hours and 30 minutes ahead of UTC/GMT.In the case of a merchant site located in UTC, these data types would send a timestamp in the format 2022-11-11T15:40:44.65Z. This timestamp represents November 11, 2022, at 15:40:44.65, with the 'Z' indicating that the time is in UTC.
The total after discounts and taxes. This is the same as subtotal if it is tax inclusive; otherwise it is subtotal + taxAmount. total can also be expressed as exemptAmount + taxableAmount + taxAmount.
The date and time at which the tax was applicable in Chargebee. For example, if the value is 2022-10-28T15:36:28.129+05:30, then the timestamp represents October 28, 2022, at 15:36:28.129, with an offset of +05:30. This means that the time represented is 5 hours and 30 minutes ahead of UTC/GMT.In the case of a merchant site located in UTC, these data types would send a timestamp in the format 2022-11-11T15:40:44.65Z. This timestamp represents November 11, 2022, at 15:40:44.65, with the 'Z' indicating that the time is in UTC.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Chargebee Partner docs","colors":{"primary":"#ff3300","light":"#ff3300","dark":"#01283a"},"logo":{"light":"https://mintcdn.com/cb/t_llHYxnCXjWsl_M/logo/light.svg?fit=max\u0026auto=format\u0026n=t_llHYxnCXjWsl_M\u0026q=85\u0026s=ea8284652978e0e228b6e8490b85f386","dark":"https://mintcdn.com/cb/t_llHYxnCXjWsl_M/logo/dark.svg?fit=max\u0026auto=format\u0026n=t_llHYxnCXjWsl_M\u0026q=85\u0026s=ec5bfa91e37e3d17f52113436b5fa3c4"},"favicon":"https://mintcdn.com/cb/5NA3_g6K23tnaaEn/logo/favicon.png?fit=max\u0026auto=format\u0026n=5NA3_g6K23tnaaEn\u0026q=85\u0026s=f9754a80dbaca6ded2263ed1f98043a0","api":{"playground":{"display":"interactive"},"examples":{"defaults":"required","languages":["curl"],"prefill":true}},"background":{},"navbar":{"links":[{"href":"mailto:support@chargebee.com","label":"Support"}]},"integrations":{"ga4":{"measurementId":"G‑EJ2MQ2ENV4"}},"contextual":{"options":["copy","view","chatgpt","claude","mcp","cursor","vscode"],"display":"header"},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"cb","hasAudioNarration":false,"actualSubdomain":"cb","customDomains":["spidocs.chargebee.com"],"gitSource":{"type":"github","owner":"chargebee","repo":"cb-partner-spi","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ad1e31ae9fd0fe7b1164461","collectionId":"59759385-5554-4175-937c-3ada42f06abc","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ad1e31ae9fd0fe7b1164461"},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6aed672b197e48bb5f92b9a1","clientVersion":"0.0.4076","searchFilterCounts":[{"language":"default","tag":"API Reference","count":41},{"language":"default","tag":"Tax SPI","count":16},{"language":"default","tag":"Einvoicing SPI","count":14},{"language":"default","tag":"Tax Registration Number Validation SPI","count":9},{"language":"default","tag":"Tax Registration Number Validation","count":5},{"language":"default","tag":"CreditNote","count":4},{"language":"default","tag":"Invoice","count":4},{"language":"default","tag":"Health","count":3},{"language":"default","tag":"Authentication","count":3},{"language":"default","tag":"Authorization","count":3}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/tax-spi/endpoints/v1/retrieve-invoice","slug":"/api-reference/tax-spi/endpoints/v1/retrieve-invoice","pageMetadata":{"openapi":"get /invoices/{invoiceId}","title":"Retrieve Invoice","description":"This endpoint is used to retrieve an invoice for a given invoice id.","href":"/api-reference/tax-spi/endpoints/v1/retrieve-invoice"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"This endpoint is used to retrieve an invoice for a given invoice id.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"get /invoices/{invoiceId}","title":"Retrieve Invoice","description":"This endpoint is used to retrieve an invoice for a given invoice id.","href":"/api-reference/tax-spi/endpoints/v1/retrieve-invoice"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"description":"This endpoint is used to retrieve an invoice for a given invoice id.","operationId":"fetchInvoice","parameters":["f33ad01c-8ad3-4955-a520-75a5bbf9f843","34ae1af6-8055-400c-b926-07262767cfdd","ce51216c-8676-45f2-89b7-582b4b3dbd34"],"responses":{"200":"17823613-342b-4b3d-acf7-d7a4f7ceac7a","401":"118dc396-a037-4908-8dc3-fc8552d99ab6","403":"bc96a52b-127f-4502-ab1d-771f0efeb9ed","404":"81b4faa2-abbc-48f3-8735-86e2caff0af1","429":"d383bd1e-b7fc-4bb7-bfb2-b891e3e28e23","500":"ec675df3-851d-4d17-bb1f-d8d568a27a43","503":"e38611e1-1304-4f96-b66b-d27547715a3e"},"summary":"Retrieve Invoice","tags":["Invoice"],"x-accepts":"application/json","method":"get","type":"path","servers":["1496ba76-82b9-4083-b7f8-1ffaea5e1f8e","6aaaf2db-a22a-4c39-8d2c-96d27e19662f"],"security":["945943a8-47aa-4a5b-9a0c-76527a2ad9f0"],"path":"/invoices/{invoiceId}","baseUrlOptions":["https://rest.taxes.provider.com/api/v1","https://sandbox.taxes.provider.com/api/v1"],"title":"Retrieve Invoice","codeSamples":[],"requestExampleLanguages":["bash"],"requiredOnlyExamples":true,"requestExampleType":"generated","responseExampleType":"generated","prefillPlaygroundWithExample":true,"prefillPlaygroundExamples":[]},"dependencies":{"parameters":{"f33ad01c-8ad3-4955-a520-75a5bbf9f843":{"description":"The unique identifier of the invoice at the Tax Service Adapter or Tax Service Provider.","explode":false,"in":"path","name":"invoiceId","required":true,"schema":{"type":"string","isRequired":true,"description":"The unique identifier of the invoice at the Tax Service Adapter or Tax Service Provider.","uniqueKey":"","typeLabel":"string"},"style":"simple"},"34ae1af6-8055-400c-b926-07262767cfdd":{"description":"Merchant's domain name will be sent by Chargebee","in":"header","name":"merchant_id","required":false,"schema":{"type":"string","isRequired":false,"description":"Merchant's domain name will be sent by Chargebee","uniqueKey":"","typeLabel":"string"}},"ce51216c-8676-45f2-89b7-582b4b3dbd34":{"description":"Unique id of the request will be sent by Chargebee","in":"header","name":"trace_id","required":false,"schema":{"type":"string","isRequired":false,"description":"Unique id of the request will be sent by Chargebee","uniqueKey":"","typeLabel":"string"}}},"responses":{"17823613-342b-4b3d-acf7-d7a4f7ceac7a":{"content":{"application/json":{"schema":{"additionalProperties":false,"description":"The details of an invoice as returned by the Tax Service Adapter.","example":{"seller":{"address":{"country":"country","city":"city","postalCode":"postalCode","state":"state","line3":"line3","line2":"line2","line1":"line1"},"taxRegistrationNumber":"taxRegistrationNumber","hasNexus":true},"taxableAmount":5.962133916683182,"discountAmount":1.4658129805029452,"exemptAmount":6.027456183070403,"invoiceCode":"invoiceCode","lineItems":[{"unitPrice":0.3616076749251911,"taxableAmount":1.0246457001441578,"amount":2.027123023002322,"quantity":0.9301444243932576,"itemCode":"itemCode","description":"description","isTaxable":true,"discountAmount":1.2315135367772556,"taxes":[{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295},{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295},{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295},{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295},{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295}],"exemptAmount":7.386281948385884,"taxExemptType":null,"number":1,"total":6.84685269835264,"subtotal":4.145608029883936,"isTaxInclusive":true,"taxAmount":1.4894159098541704,"taxExemptReason":"The customer is exempt from taxes.","isPartialTax":true,"taxIdentifiers":[{"id":"id","value":"value"},{"id":"id","value":"value"},{"id":"id","value":"value"},{"id":"id","value":"value"},{"id":"id","value":"value"}]},{"unitPrice":0.3616076749251911,"taxableAmount":1.0246457001441578,"amount":2.027123023002322,"quantity":0.9301444243932576,"itemCode":"itemCode","description":"description","isTaxable":true,"discountAmount":1.2315135367772556,"taxes":[{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295},{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295},{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295},{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295},{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295}],"exemptAmount":7.386281948385884,"taxExemptType":null,"number":1,"total":6.84685269835264,"subtotal":4.145608029883936,"isTaxInclusive":true,"taxAmount":1.4894159098541704,"taxExemptReason":"The customer is exempt from taxes.","isPartialTax":true,"taxIdentifiers":[{"id":"id","value":"value"},{"id":"id","value":"value"},{"id":"id","value":"value"},{"id":"id","value":"value"},{"id":"id","value":"value"}]},{"unitPrice":0.3616076749251911,"taxableAmount":1.0246457001441578,"amount":2.027123023002322,"quantity":0.9301444243932576,"itemCode":"itemCode","description":"description","isTaxable":true,"discountAmount":1.2315135367772556,"taxes":[{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295},{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295},{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295},{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295},{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295}],"exemptAmount":7.386281948385884,"taxExemptType":null,"number":1,"total":6.84685269835264,"subtotal":4.145608029883936,"isTaxInclusive":true,"taxAmount":1.4894159098541704,"taxExemptReason":"The customer is exempt from taxes.","isPartialTax":true,"taxIdentifiers":[{"id":"id","value":"value"},{"id":"id","value":"value"},{"id":"id","value":"value"},{"id":"id","value":"value"},{"id":"id","value":"value"}]},{"unitPrice":0.3616076749251911,"taxableAmount":1.0246457001441578,"amount":2.027123023002322,"quantity":0.9301444243932576,"itemCode":"itemCode","description":"description","isTaxable":true,"discountAmount":1.2315135367772556,"taxes":[{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295},{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295},{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295},{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295},{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295}],"exemptAmount":7.386281948385884,"taxExemptType":null,"number":1,"total":6.84685269835264,"subtotal":4.145608029883936,"isTaxInclusive":true,"taxAmount":1.4894159098541704,"taxExemptReason":"The customer is exempt from taxes.","isPartialTax":true,"taxIdentifiers":[{"id":"id","value":"value"},{"id":"id","value":"value"},{"id":"id","value":"value"},{"id":"id","value":"value"},{"id":"id","value":"value"}]},{"unitPrice":0.3616076749251911,"taxableAmount":1.0246457001441578,"amount":2.027123023002322,"quantity":0.9301444243932576,"itemCode":"itemCode","description":"description","isTaxable":true,"discountAmount":1.2315135367772556,"taxes":[{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295},{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295},{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295},{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295},{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295}],"exemptAmount":7.386281948385884,"taxExemptType":null,"number":1,"total":6.84685269835264,"subtotal":4.145608029883936,"isTaxInclusive":true,"taxAmount":1.4894159098541704,"taxExemptReason":"The customer is exempt from taxes.","isPartialTax":true,"taxIdentifiers":[{"id":"id","value":"value"},{"id":"id","value":"value"},{"id":"id","value":"value"},{"id":"id","value":"value"},{"id":"id","value":"value"}]}],"total":2.3021358869347655,"subtotal":0.8008281904610115,"taxDateTime":"2000-01-23T04:56:07.000Z","invoiceId":"invoiceId","currency":"currency","taxAmount":5.637376656633329,"documentDateTime":"2000-01-23T04:56:07.000Z","status":null,"customer":{"address":{"country":"country","city":"city","postalCode":"postalCode","state":"state","line3":"line3","line2":"line2","line1":"line1"},"name":"name","customerCode":"customerCode","company":"company","taxRegistrationNumber":"taxRegistrationNumber","hasNexus":true,"locationEvidence":{"paymentCountryCode":"paymentCountryCode","bin":"bin","ip":"ip"},"taxIdentifiers":[{"id":"id","value":"value"},{"id":"id","value":"value"},{"id":"id","value":"value"},{"id":"id","value":"value"},{"id":"id","value":"value"}]}},"properties":{"invoiceId":{"description":"The unique identifier of the invoice in the Tax Service Adapter or the Tax Service Provider.","type":"string","isRequired":true,"uniqueKey":"invoiceId","typeLabel":"string"},"invoiceCode":{"description":"The unique identifier of the invoice in Chargebee.","maxLength":50,"type":"string","isRequired":true,"uniqueKey":"invoiceCode","typeLabel":"string"},"documentDateTime":{"description":"The date and time at which the invoice was generated in Chargebee. For example, if the value is 2022-10-28T15:36:28.129+05:30, then the timestamp represents October 28, 2022, at 15:36:28.129, with an offset of +05:30. This means that the time represented is 5 hours and 30 minutes ahead of UTC/GMT.In the case of a merchant site located in UTC, these data types would send a timestamp in the format 2022-11-11T15:40:44.65Z. This timestamp represents November 11, 2022, at 15:40:44.65, with the 'Z' indicating that the time is in UTC.","format":"date-time","type":"string","isRequired":true,"uniqueKey":"documentDateTime","typeLabel":"string\u003cdate-time>"},"status":{"description":"Status of the invoice document.","enum":["PENDING","COMMITTED","VOIDED"],"type":"string","isRequired":true,"uniqueKey":"status","typeLabel":"enum\u003cstring>"},"currency":{"description":"The [currency](https://en.wikipedia.org/wiki/Currency) in the [ISO-4217 format](https://www.iso.org/iso-4217-currency-codes.html).","maxLength":3,"minLength":3,"type":"string","isRequired":true,"uniqueKey":"currency","typeLabel":"string"},"seller":{"additionalProperties":false,"description":"The details of the seller involved in the transaction including company code and address.","example":{"address":{"country":"country","city":"city","postalCode":"postalCode","state":"state","line3":"line3","line2":"line2","line1":"line1"},"taxRegistrationNumber":"taxRegistrationNumber","hasNexus":true},"properties":{"address":{"description":"Represents the address used for validation.","example":{"country":"country","city":"city","postalCode":"postalCode","state":"state","line3":"line3","line2":"line2","line1":"line1"},"properties":{"line1":{"description":"First line of the street address","maxLength":180,"type":"string","uniqueKey":"seller.address.line1","typeLabel":"string"},"line2":{"description":"Second line of the street address","maxLength":150,"type":"string","uniqueKey":"seller.address.line2","typeLabel":"string"},"line3":{"description":"Third line of the street address","maxLength":150,"type":"string","uniqueKey":"seller.address.line3","typeLabel":"string"},"city":{"description":"The city of the address","maxLength":50,"type":"string","uniqueKey":"seller.address.city","typeLabel":"string"},"state":{"description":"The state of the address following the ISO 3166-2 state/province code without the country prefix.","maxLength":50,"type":"string","uniqueKey":"seller.address.state","typeLabel":"string"},"postalCode":{"description":"Postal Code / Zip Code of the address.","maxLength":20,"type":"string","uniqueKey":"seller.address.postalCode","typeLabel":"string"},"country":{"description":"The country of the address following the ISO 3166-1 alpha-2 standard.","maxLength":2,"type":"string","uniqueKey":"seller.address.country","typeLabel":"string"}},"type":"object","isRequired":true,"uniqueKey":"seller.address","typeLabel":"object"},"taxRegistrationNumber":{"description":"The tax registration number of a business in a country. For example, this is the GSTIN for India or the VAT number for EU or Australia.","maxLength":30,"type":"string","uniqueKey":"seller.taxRegistrationNumber","typeLabel":"string"},"hasNexus":{"description":"Determines whether a tax nexus exists between the Seller and the tax authority at the address provided.","type":"boolean","uniqueKey":"seller.hasNexus","typeLabel":"boolean"}},"required":["address"],"type":"object","isRequired":true,"uniqueKey":"seller","typeLabel":"object"},"customer":{"additionalProperties":false,"description":"The details of the Customer.","example":{"address":{"country":"country","city":"city","postalCode":"postalCode","state":"state","line3":"line3","line2":"line2","line1":"line1"},"name":"name","customerCode":"customerCode","company":"company","taxRegistrationNumber":"taxRegistrationNumber","hasNexus":true,"locationEvidence":{"paymentCountryCode":"paymentCountryCode","bin":"bin","ip":"ip"},"taxIdentifiers":[{"id":"id","value":"value"},{"id":"id","value":"value"},{"id":"id","value":"value"},{"id":"id","value":"value"},{"id":"id","value":"value"}]},"properties":{"customerCode":{"description":"The unique identifier for the Customer in Chargebee.","maxLength":50,"type":"string","isRequired":true,"uniqueKey":"customer.customerCode","typeLabel":"string"},"address":{"description":"Represents the address used for validation.","example":{"country":"country","city":"city","postalCode":"postalCode","state":"state","line3":"line3","line2":"line2","line1":"line1"},"properties":{"line1":{"description":"First line of the street address","maxLength":180,"type":"string","uniqueKey":"customer.address.line1","typeLabel":"string"},"line2":{"description":"Second line of the street address","maxLength":150,"type":"string","uniqueKey":"customer.address.line2","typeLabel":"string"},"line3":{"description":"Third line of the street address","maxLength":150,"type":"string","uniqueKey":"customer.address.line3","typeLabel":"string"},"city":{"description":"The city of the address","maxLength":50,"type":"string","uniqueKey":"customer.address.city","typeLabel":"string"},"state":{"description":"The state of the address following the ISO 3166-2 state/province code without the country prefix.","maxLength":50,"type":"string","uniqueKey":"customer.address.state","typeLabel":"string"},"postalCode":{"description":"Postal Code / Zip Code of the address.","maxLength":20,"type":"string","uniqueKey":"customer.address.postalCode","typeLabel":"string"},"country":{"description":"The country of the address following the ISO 3166-1 alpha-2 standard.","maxLength":2,"type":"string","uniqueKey":"customer.address.country","typeLabel":"string"}},"type":"object","isRequired":true,"uniqueKey":"customer.address","typeLabel":"object"},"name":{"description":"The name of the Customer in Chargebee.","maxLength":50,"type":"string","uniqueKey":"customer.name","typeLabel":"string"},"company":{"description":"The company name of the customer","maxLength":50,"type":"string","uniqueKey":"customer.company","typeLabel":"string"},"taxRegistrationNumber":{"description":"The tax registration number of a business in a country. For example, this is the GSTIN for India or the VAT number for EU or Australia.","maxLength":30,"type":"string","uniqueKey":"customer.taxRegistrationNumber","typeLabel":"string"},"taxIdentifiers":{"description":"It represents the information related to the customer's tax identifiers. This includes details such as exemption status etc.","items":{"example":{"id":"id","value":"value"},"properties":{"id":{"description":"The id of the field.","maxLength":50,"type":"string","isRequired":true,"uniqueKey":"customer.taxIdentifiers.items.[INDEX].id","typeLabel":"string"},"value":{"description":"The value of the field.","maxLength":50,"type":"string","isRequired":true,"uniqueKey":"customer.taxIdentifiers.items.[INDEX].value","typeLabel":"string"}},"required":["id","value"],"type":"object","uniqueKey":"customer.taxIdentifiers.items.[INDEX]","typeLabel":"object"},"maxItems":10,"type":"array","uniqueKey":"customer.taxIdentifiers","typeLabel":"object[]"},"hasNexus":{"description":"Determines whether a tax nexus exists between the Seller and the tax authority at the address provided.","type":"boolean","uniqueKey":"customer.hasNexus","typeLabel":"boolean"},"locationEvidence":{"description":"Represent the properties for customer location evidence.","example":{"paymentCountryCode":"paymentCountryCode","bin":"bin","ip":"ip"},"properties":{"ip":{"description":"The customer's IP to determine which country the customer belongs to.","maxLength":50,"type":"string","uniqueKey":"customer.locationEvidence.ip","typeLabel":"string"},"bin":{"description":"The country associated with a card by using the first or last 6 digits of the Bank Identification Number.","maxLength":15,"type":"string","uniqueKey":"customer.locationEvidence.bin","typeLabel":"string"},"paymentCountryCode":{"description":"Identifies the country code associated with the payment method.","maxLength":5,"type":"string","uniqueKey":"customer.locationEvidence.paymentCountryCode","typeLabel":"string"}},"type":"object","uniqueKey":"customer.locationEvidence","typeLabel":"object"}},"required":["address","customerCode"],"type":"object","isRequired":true,"uniqueKey":"customer","typeLabel":"object"},"subtotal":{"description":"The amount after discounts. This is the sum of all `lineItems.subtotal`.","format":"double","type":"number","isRequired":true,"uniqueKey":"subtotal","typeLabel":"number\u003cdouble>"},"exemptAmount":{"description":"The part of the `subtotal` that is exempted from tax.","format":"double","type":"number","isRequired":true,"uniqueKey":"exemptAmount","typeLabel":"number\u003cdouble>"},"discountAmount":{"description":"The total discount applied. This is the sum of all `lineItems.discount`.","format":"double","type":"number","isRequired":true,"uniqueKey":"discountAmount","typeLabel":"number\u003cdouble>"},"taxableAmount":{"description":"The part of the `subtotal` that is taxable.","format":"double","type":"number","isRequired":true,"uniqueKey":"taxableAmount","typeLabel":"number\u003cdouble>"},"taxAmount":{"description":"The total tax payable. This is the sum of all `lineItems.taxAmount`.","format":"double","type":"number","isRequired":true,"uniqueKey":"taxAmount","typeLabel":"number\u003cdouble>"},"total":{"description":"The total after discounts and taxes. This is the same as `subtotal` if it is tax inclusive; otherwise it is `subtotal` + `taxAmount`. `total` can also be expressed as `exemptAmount` + `taxableAmount` + `taxAmount`.","format":"double","type":"number","isRequired":true,"uniqueKey":"total","typeLabel":"number\u003cdouble>"},"lineItems":{"items":{"additionalProperties":false,"description":"The details of a line item.","example":{"unitPrice":0.3616076749251911,"taxableAmount":1.0246457001441578,"amount":2.027123023002322,"quantity":0.9301444243932576,"itemCode":"itemCode","description":"description","isTaxable":true,"discountAmount":1.2315135367772556,"taxes":[{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295},{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295},{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295},{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295},{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295}],"exemptAmount":7.386281948385884,"taxExemptType":null,"number":1,"total":6.84685269835264,"subtotal":4.145608029883936,"isTaxInclusive":true,"taxAmount":1.4894159098541704,"taxExemptReason":"The customer is exempt from taxes.","isPartialTax":true,"taxIdentifiers":[{"id":"id","value":"value"},{"id":"id","value":"value"},{"id":"id","value":"value"},{"id":"id","value":"value"},{"id":"id","value":"value"}]},"properties":{"number":{"description":"Index or serial number of the line item.","minimum":1,"type":"integer","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].number","typeLabel":"integer"},"amount":{"description":"The amount for this line item. This is `unitPrice` × `quantity`.","format":"double","type":"number","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].amount","typeLabel":"number\u003cdouble>"},"subtotal":{"description":"The amount after discounts for this line item. This is `amount` - `discountAmount`.","format":"double","type":"number","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].subtotal","typeLabel":"number\u003cdouble>"},"isTaxInclusive":{"description":"Indicates whether the `subtotal` for this line item is inclusive of taxes.","type":"boolean","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].isTaxInclusive","typeLabel":"boolean"},"isTaxable":{"description":"Indicates whether this line item is taxable.","type":"boolean","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].isTaxable","typeLabel":"boolean"},"exemptAmount":{"description":"The part of this line item's `subtotal` that is exempted from tax.","format":"double","type":"number","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].exemptAmount","typeLabel":"number\u003cdouble>"},"discountAmount":{"description":"The discount applied to this line item.","format":"double","type":"number","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].discountAmount","typeLabel":"number\u003cdouble>"},"taxableAmount":{"description":"The part of this line item's `subtotal` that is taxable.","format":"double","type":"number","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].taxableAmount","typeLabel":"number\u003cdouble>"},"taxAmount":{"description":"The tax payable for this line item. This is the sum of all `taxes.taxAmount` for this line item.","format":"double","type":"number","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].taxAmount","typeLabel":"number\u003cdouble>"},"total":{"description":"The total for this line item after discounts and taxes. This is the same as `subtotal` if it is tax inclusive; otherwise it is `subtotal` + `taxAmount`. `total` can also be expressed as `exemptAmount` + `taxableAmount` + `taxAmount`.","format":"double","type":"number","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].total","typeLabel":"number\u003cdouble>"},"taxes":{"description":"List of taxes applied for this line item under each jurisdiction.","items":{"additionalProperties":false,"description":"The details of tax applied under a specific jurisdiction.","example":{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295},"properties":{"number":{"description":"Index or serial number of this tax line item.","minimum":1,"type":"integer","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].taxes.items.[INDEX].number","typeLabel":"integer"},"jurisdiction":{"additionalProperties":false,"description":"The tax jurisdiction details.","example":{"code":"code","name":"name","type":null},"properties":{"code":{"description":"The jurisdiction code.","maxLength":50,"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].taxes.items.[INDEX].jurisdiction.code","typeLabel":"string"},"type":{"description":"The type of tax jurisdiction.","enum":["COUNTRY","FEDERAL","STATE","COUNTY","CITY","SPECIAL","OTHER"],"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].taxes.items.[INDEX].jurisdiction.type","typeLabel":"enum\u003cstring>"},"name":{"description":"The jurisdiction name.","maxLength":50,"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].taxes.items.[INDEX].jurisdiction.name","typeLabel":"string"}},"required":["code","name","type"],"type":"object","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].taxes.items.[INDEX].jurisdiction","typeLabel":"object"},"name":{"description":"The name of the tax applied.","example":"GST","type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].taxes.items.[INDEX].name","typeLabel":"string"},"rate":{"description":"The tax rate expressed in percentage.","format":"double","maximum":100,"type":"number","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].taxes.items.[INDEX].rate","typeLabel":"number\u003cdouble>"},"taxableAmount":{"description":"The part of the line item's `subtotal` that is taxable under this jurisdiction.","format":"double","type":"number","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].taxes.items.[INDEX].taxableAmount","typeLabel":"number\u003cdouble>"},"taxAmount":{"description":"The tax payable for the line item under this jurisdiction.","format":"double","type":"number","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].taxes.items.[INDEX].taxAmount","typeLabel":"number\u003cdouble>"}},"required":["jurisdiction","name","number","rate","taxAmount","taxableAmount"],"type":"object","uniqueKey":"lineItems.items.[INDEX].taxes.items.[INDEX]","typeLabel":"object"},"maxItems":10,"minItems":0,"type":"array","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].taxes","typeLabel":"object[]"},"itemCode":{"description":"The unique identifier (in Chargebee) of the product corresponding to the line item. If the line item corresponds to a one-off charge, then this identifier is not present. If entity_type is `adhoc`, the `itemCode` parameter will be set to `adhoc_charge`.","maxLength":100,"type":"string","uniqueKey":"lineItems.items.[INDEX].itemCode","typeLabel":"string"},"description":{"description":"The description of the line item.","maxLength":250,"type":"string","uniqueKey":"lineItems.items.[INDEX].description","typeLabel":"string"},"quantity":{"description":"The quantity associated with this line item.","format":"double","minimum":0,"type":"number","uniqueKey":"lineItems.items.[INDEX].quantity","typeLabel":"number\u003cdouble>"},"unitPrice":{"description":"The unit price for this line item. In case of [tiered pricing](https://www.chargebee.com/docs/1.0/plans.html#tiered-pricing) where the unit price varies for each quantity tier, this is the average unit price.","format":"double","minimum":0,"type":"number","uniqueKey":"lineItems.items.[INDEX].unitPrice","typeLabel":"number\u003cdouble>"},"taxIdentifiers":{"description":"The tax code fields of the product used for tax calculation.","items":{"example":{"id":"id","value":"value"},"properties":{"id":{"description":"The id of the field.","maxLength":50,"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].taxIdentifiers.items.[INDEX].id","typeLabel":"string"},"value":{"description":"The value of the field.","maxLength":50,"type":"string","isRequired":true,"uniqueKey":"lineItems.items.[INDEX].taxIdentifiers.items.[INDEX].value","typeLabel":"string"}},"required":["id","value"],"type":"object","uniqueKey":"lineItems.items.[INDEX].taxIdentifiers.items.[INDEX]","typeLabel":"object"},"maxItems":10,"type":"array","uniqueKey":"lineItems.items.[INDEX].taxIdentifiers","typeLabel":"object[]"},"taxExemptType":{"description":"The tax exemption type for a line item. This is a mandatory parameter while applying tax exemption on any line-item.","enum":["PRODUCT_EXEMPT","CUSTOMER_EXEMPT","REGION_EXEMPT","REVERSE_CHARGE","ZERO_RATE_TAX","HIGH_VALUE_PHYSICAL_GOODS","EXPORT","ZERO_VALUE_ITEM","TAX_NOT_CONFIGURED"],"type":"string","uniqueKey":"lineItems.items.[INDEX].taxExemptType","typeLabel":"enum\u003cstring>"},"taxExemptReason":{"description":"The reason due to which a line item is exempted from tax. This is a mandatory parameter while applying tax exemption on any line-item.","example":"The customer is exempt from taxes.","maxLength":250,"type":"string","uniqueKey":"lineItems.items.[INDEX].taxExemptReason","typeLabel":"string"},"isPartialTax":{"description":"Indicates if taxes were applied only partially for this line item.","type":"boolean","uniqueKey":"lineItems.items.[INDEX].isPartialTax","typeLabel":"boolean"}},"required":["amount","discountAmount","exemptAmount","isTaxInclusive","isTaxable","number","subtotal","taxAmount","taxableAmount","taxes","total"],"type":"object","uniqueKey":"lineItems.items.[INDEX]","typeLabel":"object"},"maxItems":1250,"minItems":1,"type":"array","isRequired":true,"uniqueKey":"lineItems","typeLabel":"object[]"},"taxDateTime":{"description":"The date and time at which the tax was applicable in Chargebee. For example, if the value is 2022-10-28T15:36:28.129+05:30, then the timestamp represents October 28, 2022, at 15:36:28.129, with an offset of +05:30. This means that the time represented is 5 hours and 30 minutes ahead of UTC/GMT.In the case of a merchant site located in UTC, these data types would send a timestamp in the format 2022-11-11T15:40:44.65Z. This timestamp represents November 11, 2022, at 15:40:44.65, with the 'Z' indicating that the time is in UTC.","format":"date-time","type":"string","uniqueKey":"taxDateTime","typeLabel":"string\u003cdate-time>"}},"required":["currency","customer","discountAmount","documentDateTime","exemptAmount","invoiceCode","invoiceId","lineItems","seller","status","subtotal","taxAmount","taxableAmount","total"],"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"seller":{"address":{"country":"country","city":"city","postalCode":"postalCode","state":"state","line3":"line3","line2":"line2","line1":"line1"},"taxRegistrationNumber":"taxRegistrationNumber","hasNexus":true},"taxableAmount":5.962133916683182,"discountAmount":1.4658129805029452,"exemptAmount":6.027456183070403,"invoiceCode":"invoiceCode","lineItems":[{"unitPrice":0.3616076749251911,"taxableAmount":1.0246457001441578,"amount":2.027123023002322,"quantity":0.9301444243932576,"itemCode":"itemCode","description":"description","isTaxable":true,"discountAmount":1.2315135367772556,"taxes":[{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295},{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295},{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295},{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295},{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295}],"exemptAmount":7.386281948385884,"taxExemptType":null,"number":1,"total":6.84685269835264,"subtotal":4.145608029883936,"isTaxInclusive":true,"taxAmount":1.4894159098541704,"taxExemptReason":"The customer is exempt from taxes.","isPartialTax":true,"taxIdentifiers":[{"id":"id","value":"value"},{"id":"id","value":"value"},{"id":"id","value":"value"},{"id":"id","value":"value"},{"id":"id","value":"value"}]},{"unitPrice":0.3616076749251911,"taxableAmount":1.0246457001441578,"amount":2.027123023002322,"quantity":0.9301444243932576,"itemCode":"itemCode","description":"description","isTaxable":true,"discountAmount":1.2315135367772556,"taxes":[{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295},{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295},{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295},{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295},{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295}],"exemptAmount":7.386281948385884,"taxExemptType":null,"number":1,"total":6.84685269835264,"subtotal":4.145608029883936,"isTaxInclusive":true,"taxAmount":1.4894159098541704,"taxExemptReason":"The customer is exempt from taxes.","isPartialTax":true,"taxIdentifiers":[{"id":"id","value":"value"},{"id":"id","value":"value"},{"id":"id","value":"value"},{"id":"id","value":"value"},{"id":"id","value":"value"}]},{"unitPrice":0.3616076749251911,"taxableAmount":1.0246457001441578,"amount":2.027123023002322,"quantity":0.9301444243932576,"itemCode":"itemCode","description":"description","isTaxable":true,"discountAmount":1.2315135367772556,"taxes":[{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295},{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295},{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295},{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295},{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295}],"exemptAmount":7.386281948385884,"taxExemptType":null,"number":1,"total":6.84685269835264,"subtotal":4.145608029883936,"isTaxInclusive":true,"taxAmount":1.4894159098541704,"taxExemptReason":"The customer is exempt from taxes.","isPartialTax":true,"taxIdentifiers":[{"id":"id","value":"value"},{"id":"id","value":"value"},{"id":"id","value":"value"},{"id":"id","value":"value"},{"id":"id","value":"value"}]},{"unitPrice":0.3616076749251911,"taxableAmount":1.0246457001441578,"amount":2.027123023002322,"quantity":0.9301444243932576,"itemCode":"itemCode","description":"description","isTaxable":true,"discountAmount":1.2315135367772556,"taxes":[{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295},{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295},{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295},{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295},{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295}],"exemptAmount":7.386281948385884,"taxExemptType":null,"number":1,"total":6.84685269835264,"subtotal":4.145608029883936,"isTaxInclusive":true,"taxAmount":1.4894159098541704,"taxExemptReason":"The customer is exempt from taxes.","isPartialTax":true,"taxIdentifiers":[{"id":"id","value":"value"},{"id":"id","value":"value"},{"id":"id","value":"value"},{"id":"id","value":"value"},{"id":"id","value":"value"}]},{"unitPrice":0.3616076749251911,"taxableAmount":1.0246457001441578,"amount":2.027123023002322,"quantity":0.9301444243932576,"itemCode":"itemCode","description":"description","isTaxable":true,"discountAmount":1.2315135367772556,"taxes":[{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295},{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295},{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295},{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295},{"number":1,"taxableAmount":4.965218492984954,"rate":11.730742509559434,"jurisdiction":{"code":"code","name":"name","type":null},"name":"GST","taxAmount":5.025004791520295}],"exemptAmount":7.386281948385884,"taxExemptType":null,"number":1,"total":6.84685269835264,"subtotal":4.145608029883936,"isTaxInclusive":true,"taxAmount":1.4894159098541704,"taxExemptReason":"The customer is exempt from taxes.","isPartialTax":true,"taxIdentifiers":[{"id":"id","value":"value"},{"id":"id","value":"value"},{"id":"id","value":"value"},{"id":"id","value":"value"},{"id":"id","value":"value"}]}],"total":2.3021358869347655,"subtotal":0.8008281904610115,"taxDateTime":"2000-01-23T04:56:07.000Z","invoiceId":"invoiceId","currency":"currency","taxAmount":5.637376656633329,"documentDateTime":"2000-01-23T04:56:07.000Z","status":null,"customer":{"address":{"country":"country","city":"city","postalCode":"postalCode","state":"state","line3":"line3","line2":"line2","line1":"line1"},"name":"name","customerCode":"customerCode","company":"company","taxRegistrationNumber":"taxRegistrationNumber","hasNexus":true,"locationEvidence":{"paymentCountryCode":"paymentCountryCode","bin":"bin","ip":"ip"},"taxIdentifiers":[{"id":"id","value":"value"},{"id":"id","value":"value"},{"id":"id","value":"value"},{"id":"id","value":"value"},{"id":"id","value":"value"}]}}}},"exampleType":"generated"}},"description":"Invoice retrieved successfully.","exampleType":"generated"},"118dc396-a037-4908-8dc3-fc8552d99ab6":{"description":"Unauthenticated request.","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"bc96a52b-127f-4502-ab1d-771f0efeb9ed":{"description":"Unauthorized request.","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"81b4faa2-abbc-48f3-8735-86e2caff0af1":{"description":"Not found.","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"d383bd1e-b7fc-4bb7-bfb2-b891e3e28e23":{"description":"Too many requests.","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"ec675df3-851d-4d17-bb1f-d8d568a27a43":{"content":{"application/json":{"example":{"message":"Unexpected error during processing the request."},"schema":{"additionalProperties":false,"description":"The basic error response containing the error message and the help documentation link.","properties":{"message":{"description":"The description of the error with details about it's cause.","example":"Invalid Credentials","maxLength":250,"type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"helpUrl":{"description":"The link to the documentation for more information about the error and the corrective action.","example":"https://apidocs.chargebee.com#Authentication","format":"uri","type":"string","uniqueKey":"helpUrl","typeLabel":"string\u003curi>"}},"required":["message"],"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"message":"Unexpected error during processing the request."}}},"exampleType":"examples"}},"description":"Unexpected error while processing request.","exampleType":"examples"},"e38611e1-1304-4f96-b66b-d27547715a3e":{"content":{"application/json":{"example":{"status":"DOWN","version":"1.0.0","description":"The service is unhealthy. Several components are down.","components":[{"id":"app-db-memory","name":"Application Database Memory Usage","type":"DATABASE","status":"UP"},{"id":"adapter-server","name":"Adapter API Server","type":"ADAPTER","status":"DOWN"},{"id":"service-server","name":"API Server","type":"API","status":"DOWN"}],"time":"2022-11-01T05:12:08.131Z"},"schema":{"example":{"components":[{"endpoints":["endpoints","endpoints"],"name":"name","description":"description","id":"id","type":"OTHER","status":null},{"endpoints":["endpoints","endpoints"],"name":"name","description":"description","id":"id","type":"OTHER","status":null}],"description":"description","time":"2000-01-23T04:56:07.000Z","version":"version","status":null},"properties":{"status":{"description":"The status of a specific component reported by the Service Adapter.","enum":["UP","DOWN","WARN"],"type":"string","isRequired":true,"uniqueKey":"status","typeLabel":"enum\u003cstring>"},"components":{"description":"List of health status details for each component reported by the Service Adapter.","items":{"description":"The health status details of a specific component reported by the Service Adapter.","example":{"endpoints":["endpoints","endpoints"],"name":"name","description":"description","id":"id","type":"OTHER","status":null},"properties":{"id":{"description":"The id of the component.","maxLength":50,"type":"string","isRequired":true,"uniqueKey":"components.items.[INDEX].id","typeLabel":"string"},"name":{"description":"The name of the component.","maxLength":150,"type":"string","isRequired":true,"uniqueKey":"components.items.[INDEX].name","typeLabel":"string"},"type":{"description":"The type of component affected when `status` is `WARN` or `DOWN`. The possible values are:\n- `ADAPTER`: The reported status is for the Service Adapter.\n- `API`: The reported status is for the Service Provider.\n- `DATABASE`: The reported status is for a database dependency of the Service Provider.\n- `SYSTEM`: The reported status is for any other known system component such as cache or gateway.\n- `OTHER`: The reported status is either for a component that does not belong to the types described above or the source of the issue is unknown.\n","enum":["OTHER","SYSTEM","API","ADAPTER","DATABASE"],"type":"string","isRequired":true,"uniqueKey":"components.items.[INDEX].type","typeLabel":"enum\u003cstring>"},"status":{"description":"The status of a specific component reported by the Service Adapter.","enum":["UP","DOWN","WARN"],"type":"string","isRequired":true,"uniqueKey":"components.items.[INDEX].status","typeLabel":"enum\u003cstring>"},"description":{"description":"The detailed status of the component.","maxLength":250,"type":"string","uniqueKey":"components.items.[INDEX].description","typeLabel":"string"},"endpoints":{"description":"When the `status` of the component is not `UP`, then the list of endpoints affected.","items":{"type":"string","uniqueKey":"components.items.[INDEX].endpoints.items.[INDEX]","typeLabel":"string"},"type":"array","uniqueKey":"components.items.[INDEX].endpoints","typeLabel":"string[]"}},"required":["id","name","status","type"],"type":"object","uniqueKey":"components.items.[INDEX]","typeLabel":"object"},"type":"array","isRequired":true,"uniqueKey":"components","typeLabel":"object[]"},"time":{"description":"The timestamp of the health status reported by the Service Adapter.","format":"date-time","type":"string","isRequired":true,"uniqueKey":"time","typeLabel":"string\u003cdate-time>"},"version":{"minLength":1,"type":"string","uniqueKey":"version","typeLabel":"string"},"description":{"description":"The description of the health status returned by the Service Adapter.","maxLength":250,"type":"string","uniqueKey":"description","typeLabel":"string"}},"required":["components","status","time"],"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"status":"DOWN","version":"1.0.0","description":"The service is unhealthy. Several components are down.","components":[{"id":"app-db-memory","name":"Application Database Memory Usage","type":"DATABASE","status":"UP"},{"id":"adapter-server","name":"Adapter API Server","type":"ADAPTER","status":"DOWN"},{"id":"service-server","name":"API Server","type":"API","status":"DOWN"}],"time":"2022-11-01T05:12:08.131Z"}}},"exampleType":"examples"}},"description":"Service is unhealthy.","exampleType":"examples"}},"security":{"945943a8-47aa-4a5b-9a0c-76527a2ad9f0":{"Authorization":{"description":"The json of all the parameters specified in authentication configuration of tax app will be sent by Chargebee.","in":"header","name":"Authorization","type":"apiKey","scopes":[],"schemeName":"Authorization"}}},"servers":{"1496ba76-82b9-4083-b7f8-1ffaea5e1f8e":{"description":"Production SPI server.","url":"https://rest.taxes.provider.com/api/v1"},"6aaaf2db-a22a-4c39-8d2c-96d27e19662f":{"description":"Sandbox SPI server.","url":"https://sandbox.taxes.provider.com/api/v1"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"description":"The json of all the parameters specified in authentication configuration of tax app will be sent by Chargebee.","in":"header","name":"Authorization","type":"apiKey","scopes":[],"schemeName":"Authorization"},"schema":{"title":"Authorization","type":"string","description":"The json of all the parameters specified in authentication configuration of tax app will be sent by Chargebee.","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"Authorization","name":"Authorization"}],"title":"Authorization"}]},"originalFileLocation":"spec/spi/generated/tax/api/openapi.yaml"},"subdomain":"cb","siteName":"Chargebee Partner docs","title":"Retrieve Invoice - Chargebee Partner docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2025-08-14T04:22:04.739Z","originalFileLocation":"api-reference/tax-spi/endpoints/v1/retrieve-invoice.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"This endpoint is used to retrieve an invoice for a given invoice id.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Chargebee Partner docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/cb/t3SWCatkguaBu2Q3/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/cb/t3SWCatkguaBu2Q3/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/cb/t3SWCatkguaBu2Q3/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/cb/t3SWCatkguaBu2Q3/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/cb/t3SWCatkguaBu2Q3/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/cb/t3SWCatkguaBu2Q3/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/cb/t3SWCatkguaBu2Q3/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/cb/t3SWCatkguaBu2Q3/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/cb/t3SWCatkguaBu2Q3/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Retrieve Invoice - Chargebee Partner docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"This endpoint is used to retrieve an invoice for a given invoice id.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Chargebee Partner docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://spidocs.chargebee.com/api-reference/tax-spi/endpoints/v1/retrieve-invoice\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://cb.mintlify.site/_mintlify/api/og/v2?division=Invoice\u0026amp;title=Retrieve+Invoice\u0026amp;description=This+endpoint+is+used+to+retrieve+an+invoice+for+a+given+invoice+id.\u0026amp;theme=a92e97344d325fa945570ab8\u0026amp;signature=43ec90ea9318cd3fc60c5b2f3bb6e6471d4bb494a2eb7fd7f9cbcf6d1c7e7291\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Retrieve Invoice - Chargebee Partner docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"This endpoint is used to retrieve an invoice for a given invoice id.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://cb.mintlify.site/_mintlify/api/og/v2?division=Invoice\u0026amp;title=Retrieve+Invoice\u0026amp;description=This+endpoint+is+used+to+retrieve+an+invoice+for+a+given+invoice+id.\u0026amp;theme=a92e97344d325fa945570ab8\u0026amp;signature=43ec90ea9318cd3fc60c5b2f3bb6e6471d4bb494a2eb7fd7f9cbcf6d1c7e7291\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/cb/t3SWCatkguaBu2Q3/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Chargebee Partner docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#ff3300\">\u003clink data-mint-head rel=\"canonical\" href=\"https://spidocs.chargebee.com/api-reference/tax-spi/endpoints/v1/retrieve-invoice\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/tax-spi/endpoints/v1/retrieve-invoice.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://spidocs.chargebee.com/#organization\",\"name\":\"Chargebee Partner docs\",\"url\":\"https://spidocs.chargebee.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/cb/t_llHYxnCXjWsl_M/logo/light.svg?fit=max\u0026auto=format\u0026n=t_llHYxnCXjWsl_M\u0026q=85\u0026s=ea8284652978e0e228b6e8490b85f386\"}},{\"@type\":\"WebSite\",\"@id\":\"https://spidocs.chargebee.com#website\",\"name\":\"Chargebee Partner docs\",\"url\":\"https://spidocs.chargebee.com\",\"publisher\":{\"@id\":\"https://spidocs.chargebee.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://spidocs.chargebee.com/api-reference/tax-spi/endpoints/v1/retrieve-invoice#webpage\",\"url\":\"https://spidocs.chargebee.com/api-reference/tax-spi/endpoints/v1/retrieve-invoice\",\"name\":\"Retrieve Invoice\",\"description\":\"This endpoint is used to retrieve an invoice for a given invoice id.\",\"dateModified\":\"2025-08-14T04:22:04.739Z\",\"isPartOf\":{\"@id\":\"https://spidocs.chargebee.com#website\"},\"breadcrumb\":{\"@id\":\"https://spidocs.chargebee.com/api-reference/tax-spi/endpoints/v1/retrieve-invoice#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://spidocs.chargebee.com/api-reference/tax-spi/endpoints/v1/retrieve-invoice#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Tax SPI\",\"item\":\"https://spidocs.chargebee.com/api-reference/tax-spi/docs/overview\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Invoice\",\"item\":\"https://spidocs.chargebee.com/api-reference/tax-spi/endpoints/v1/create-invoice\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Retrieve Invoice\",\"item\":\"https://spidocs.chargebee.com/api-reference/tax-spi/endpoints/v1/retrieve-invoice\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://spidocs.chargebee.com/api-reference/tax-spi/endpoints/v1/retrieve-invoice#apireference\",\"headline\":\"Retrieve Invoice\",\"name\":\"Retrieve Invoice\",\"description\":\"This endpoint is used to retrieve an invoice for a given invoice id.\",\"url\":\"https://spidocs.chargebee.com/api-reference/tax-spi/endpoints/v1/retrieve-invoice\",\"mainEntityOfPage\":{\"@id\":\"https://spidocs.chargebee.com/api-reference/tax-spi/endpoints/v1/retrieve-invoice#webpage\"},\"dateModified\":\"2025-08-14T04:22:04.739Z\",\"publisher\":{\"@id\":\"https://spidocs.chargebee.com/#organization\"},\"isPartOf\":{\"@id\":\"https://spidocs.chargebee.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Chargebee Partner docs\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Chargebee Partner docs","nav":{"global":null,"tabs":[{"tab":"API Reference","groups":[{"group":"Partner SPI","pages":[{"title":"Overview","href":"/api-reference/partner-spi/overview"}]},{"group":"Tax SPI","pages":[{"title":null,"href":"/api-reference/tax-spi/docs/overview"},{"title":null,"href":"/api-reference/tax-spi/docs/authorization"},{"group":"Address","pages":[{"openapi":"post /address/validate","title":"Address validation","href":"/api-reference/tax-spi/endpoints/v1/address-validation"},{"openapi":"post /address/check-taxability","title":"Check taxability","href":"/api-reference/tax-spi/endpoints/v1/check-taxability"}]},{"group":"TaxEstimate","pages":[{"openapi":"post /tax-estimate","title":"Estimate tax","href":"/api-reference/tax-spi/endpoints/v1/estimate-tax"}]},{"group":"Invoice","pages":[{"openapi":"post /invoices","title":"Create Invoice","description":"This endpoint is used to send an invoice to the Tax Service Provider. Invoices created in Chargebee are statements of amounts owed by the Customer to the Merchant for a specific purchase.","href":"/api-reference/tax-spi/endpoints/v1/create-invoice"},{"openapi":"get /invoices/{invoiceId}","title":"Retrieve Invoice","href":"/api-reference/tax-spi/endpoints/v1/retrieve-invoice"},{"openapi":"post /invoices/{invoiceId}/commit","title":"Commit Invoice","description":"This endpoint is used to commit an invoice for a given invoice id. Once committed, the invoice is considered to be finalized.","href":"/api-reference/tax-spi/endpoints/v1/commit-invoice"},{"openapi":"post /invoices/{invoiceId}/void","title":"Void Invoice","href":"/api-reference/tax-spi/endpoints/v1/void-invoice"}]},{"group":"CreditNote","pages":[{"openapi":"post /credit-notes","title":"Create credit note","href":"/api-reference/tax-spi/endpoints/v1/create-credit-note"},{"openapi":"get /credit-notes/{creditNoteId}","title":"Retrieve credit note","href":"/api-reference/tax-spi/endpoints/v1/retrieve-credit-note"},{"openapi":"post /credit-notes/{creditNoteId}/commit","title":"Commit credit note","href":"/api-reference/tax-spi/endpoints/v1/commit-credit-note"},{"openapi":"post /credit-notes/{creditNoteId}/void","title":"Void credit note","href":"/api-reference/tax-spi/endpoints/v1/void-credit-note"}]},{"group":"Authentication","pages":[{"openapi":"post /credentials/validate","title":"Validate credentials","href":"/api-reference/tax-spi/endpoints/v1/validate-credentials"}]},{"group":"Health","pages":[{"openapi":"get /health","title":"Fetch the health status of the Service Provider.","href":"/api-reference/tax-spi/endpoints/v1/fetch-the-health-status-of-the-service-provider"}]},{"title":"Testing with Postman","href":"/api-reference/tax-spi/docs/testing-with-postman"}]},{"group":"Tax Registration Number Validation SPI","pages":[{"title":null,"href":"/api-reference/tax-reg-number-validate/docs/overview"},{"group":"Authentication","pages":[{"openapi":"post /credentials/validate","title":"Validate credentials","href":"/api-reference/tax-reg-number-validate/endpoints/v1/validate-credentials"}]},{"group":"Health","pages":[{"openapi":"get /health","title":"Fetch the health status of the Service Provider.","href":"/api-reference/tax-reg-number-validate/endpoints/v1/fetch-the-health-status-of-the-service-provider"}]},{"group":"Tax Registration Number Validation","pages":[{"openapi":"post /trn/validate/batch","title":"Validate the tax registration numbers in batch","href":"/api-reference/tax-reg-number-validate/endpoints/v1/validate-the-tax-registration-numbers-in-batch"},{"openapi":"post /trn/validate","title":"Validate the tax registration number","href":"/api-reference/tax-reg-number-validate/endpoints/v1/validate-the-tax-registration-number"},{"openapi":"get /trn/validate/{requestId}","title":"Get the response of tax registration number validate request","href":"/api-reference/tax-reg-number-validate/endpoints/v1/get-the-response-of-tax-registration-number-validate-request"},{"openapi":"get /trn/validate/batch/{batchId}","title":"Get the response of batch of tax registration numbers","href":"/api-reference/tax-reg-number-validate/endpoints/v1/get-the-response-of-batch-of-tax-registration-numbers"},{"openapi":"delete /trn/validate/batch/{batchId}","title":"Delete the request of batch of tax registration numbers validation","href":"/api-reference/tax-reg-number-validate/endpoints/v1/delete-the-request-of-batch-of-tax-registration-numbers-validation"}]},{"title":"Testing with Postman","href":"/api-reference/tax-reg-number-validate/docs/testing-with-postman"}]},{"group":"Einvoicing SPI","pages":[{"title":null,"href":"/api-reference/einvoicing-spi/docs/overview"},{"group":"Authorization","pages":[{"title":null,"href":"/api-reference/einvoicing-spi/docs/authorization/overview"},{"title":"Chargebee to Adapter (Header-Based Auth)","href":"/api-reference/einvoicing-spi/docs/authorization/chargebee_to_adapter"},{"title":"Adapter to Chargebee(OAuth 2.0)","href":"/api-reference/einvoicing-spi/docs/authorization/adapter_to_chargebee"}]},{"group":"Activations","pages":[{"openapi":"get /einvoicing/activations","title":"Retrieve a list of Activations.","href":"/api-reference/einvoicing-spi/endpoints/v1/activations/retrieve-a-list-of-activations"},{"openapi":"get /einvoicing/data_input_fields","title":"Retrieves data input fields","href":"/api-reference/einvoicing-spi/endpoints/v1/activations/retrieves-data-input-fields"}]},{"group":"Documents","pages":[{"openapi":"post /einvoicing/documents","title":"Submit a document","href":"/api-reference/einvoicing-spi/endpoints/v1/documents/submit-a-document"},{"openapi":"get /einvoicing/documents/{document_id}/status","title":"Get Document Status","href":"/api-reference/einvoicing-spi/endpoints/v1/documents/get-document-status"},{"openapi":"get /einvoicing/documents/{document_id}/download","title":"Download Document","href":"/api-reference/einvoicing-spi/endpoints/v1/documents/download-document"}]},{"group":"Callbacks","pages":[{"openapi":"post /api/v2/invoices/{document_id}/einvoice_status","title":"Receive document status updates for an invoice","href":"/api-reference/einvoicing-spi/endpoints/v1/callbacks/receive-document-status-updates-for-invoice"},{"openapi":"post /api/v2/credit_notes/{document_id}/einvoice_status","title":"Receive document status updates for a credit note","href":"/api-reference/einvoicing-spi/endpoints/v1/callbacks/receive-document-status-updates-for-credit-note"}]},{"group":"Authentication","pages":[{"openapi":"post /credentials/validate","title":"Validate credentials","href":"/api-reference/common/validate-credentials"}]},{"group":"Health","pages":[{"openapi":"get /health","title":"Fetch the health status of the Service Provider.","href":"/api-reference/common/fetch-the-health-status-of-the-service-provider"}]},{"title":"Testing with Postman","href":"/api-reference/einvoicing-spi/docs/testing-with-postman"}]},{"group":"Troubleshooting","pages":[{"title":null,"href":"/api-reference/troubleshooting"}]}]},{"tab":"App Onboarding","pages":[{"title":"App Onboarding","href":"/app-onboarding/guide"}]}]},"basePath":"","title":"Retrieve Invoice - Chargebee Partner docs","buildId":"dpl_8LJbrAiZvr1K98WQNZXCyY5AvT34","deploymentId":"dpl_8LJbrAiZvr1K98WQNZXCyY5AvT34","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-i2a3QZ8E.js","utils-ChLwp8m0.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DRktVTDc.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-CA2pEs4T.js","snippetPresets-ClQ6XrKD.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-Ct_Lv36y.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-Cn2PYw9e.js","shallow-rkyymjXQ.js","getApiPlaygroundDisplay-BB9vkXtE.js","CodeSnippet-Bm5RU7m1.js","CodeSnippets-BgU9Deuz.js","Page-BUDYNlhG.js","getPastedJson-BD-6NNum.js","icon-8Z6tud2e.js","MethodPill-Tuzr4g3V.js","DuplicateIcon-0ceWFYhN.js","createIcon-FBXow_ST.js","DynamicMarkdown-CD8713Yy.js","SectionHeading-7zgzQbH-.js","axios-vUo_bRtp.js","Markdown-D7Ofw1oz.js","clsx-eKJ4rcii.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CwjSCXIK.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-9EK5IAXV.js"]}